// Base style
html {
    box-sizing: border-box;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.no_scroll {
    height: 100%;
    overflow: hidden;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body {
    background-color: $body-bg;
    color: $text-color;
    font-family: $base-font;
    font-weight: $font-weight;
    font-size: $font-size;
    line-height: $line-height;
    overflow: hidden;
    @include max-w($screen-xl) {
        overflow-x: hidden;
        overflow-y: scroll;
        -webkit-overflow-scrolling: touch;
    }
}

img {
    max-width: 100%;
    height: auto;
    vertical-align: middle;
}

section {
    position: relative;
}

.icon {
    display: inline-block;
}

.section-title {
    margin-top: 0;
    font-size: $title-font-size;
    line-height: $title-line-height;
    font-weight: $regular-font-weght;
    @include max-w($screen-xxxl) {
        font-size: 65px;
    }
    @include max-w($screen-xxl) {
        font-size: 55px;
        line-height: 58px;
    }
    @include max-w($screen-xl) {
        font-size: 45px;
        line-height: 48px;
    }
    @include max-w($screen-sm) {
        font-size: 40px;
        line-height: 34px;
        margin-bottom: 8px;
    }
    @include max-w($screen-xs) {
        font-size: 35px;
    }
}

.section-sub-title {
    margin-top: 0;
    margin-bottom: 17px;
    font-family: $bold-font;
    font-size: $sub-title-font-size;
    font-weight: $bold-font-w;
    line-height: $sub-title-font-line-height;
    @include max-w($screen-xxl) {
        font-size: 22px;
        line-height: 26px;
    }
    @include max-w($screen-sm) {
        font-size: 18px;
    }
}

.description-text {
    font-size: 16px;
    line-height: 22px;
}

.flex-container {
    display: flex;
    &--jastify-between {
        justify-content: space-between;
    }
    &--column {
        flex-direction: column;
    }
    &--align-center {
        justify-content: center;
        align-items: center;
    }
    &--align-start {
        align-items: start;
    }
}

.section-img-l-board,
.section-img-t-board,
.section-img-r-board {
    position: absolute;
    background: $main-bg-color;
    transform: scaleX(100);
    top: -1px;
    .no-border & {
        display: none;
    }
    @include max-w($screen-lg) {
        /*  display: none;*/
    }
}

.section-img-l-board {
    width: 10px;
    height: 120%;
    top: 0;
    left: -1px;
    transform-origin: left;
    z-index: 3;
}

.section-img-r-board {
    width: 11px;
    height: 120%;
    right: -1px;
    top: 0;
    transform-origin: right;
    z-index: 1;
    footer & {
        right: 0;
    }
}

.section-img-t-board {
    height: 10px;
    width: 100%;
    left: 0;
    transform: scaleY(100);
    transform-origin: top;
    z-index: 3;
    @include max-w($screen-lg) {
        /*display: none;*/
    }
}

.section-img-b-board {
    height: 10px;
    width: 100%;
    transform-origin: bottom;
    position: absolute;
    bottom: 0;
    left: 0;
    background: $main-bg-color;
    @include max-w($screen-lg) {
        display: none;
    }
}

.js-play-y-video {
    position: relative;
    cursor: pointer;
    z-index: 2;
    transition: all .3s;
    height: 100%;
    &.played {
        opacity: 0;
    }
}

.arrow-btn-up {
    position: fixed;
    right: 30px;
    bottom: 30px;
    width: 50px;
    height: 50px;
    background-color: darken($bg-color, 30%);
    cursor: pointer;
    opacity: 0;
    z-index: 900;
    text-align: center;
    img {
        left: 0;
        right: 0;
        transform: rotate(180deg);
        position: absolute;
        margin: 0 auto;
        height: 30px;
        width: 30px;
        margin-top: -15px;
        top: 50%;
    }
    @include max-w($screen-sm-start) {
        right: 20px;
        bottom: 20px;
    }
}

///Link class
.link {
    text-decoration: underline;
    font-weight: $bold-font-w;
    color: inherit;
}

.IE-icon-placeholder {
    font-size: 100px;
}
